Class
RankSupportBitString
A bit string supporting rank queries in constant time.
RankSupportBitString<TSpec>
Include Headers
seqan/index.h
Parameters

TSpec | Specialisation tag. Default: void

Remarks
The constant rank query time is achieved by evaluating precomputed subsolutions. In order to do so, the bit string is divided into blocks of length l. A super block string stores for each block of l blocks the number of bits set from the beginning. In addition a block string stores the number of bits set in each block from the start of the last super block block. Therefore it is possible to compute the result of a rank query in constant time by adding information from the bit, block and super block string.
Functions

appendValue | Appends a value to a container.
clear | Resets an object.
empty | Test a container for being empty.
getFibre | Returns a specific fibre of a container.
getRank | Returns the rank (the number of bits set from the start of the bit string) of a specified position.
isSetBit | Returns whether the bit with the given index is set to 1.
length | The number of items/characters.
open | This functions saves a RankSupportBitString to disk.
resize | Resizes a container. If the new length exceeds the old length the new elements are filled with copies of value.
save | This functions saves a RankSupportBitString to disk.
setBitTo | Set the bit with the given index to the given value.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56